BugTraq
[slackware-security] php (SSA:2016-034-04) Feb 04 2016 12:07AM
Slackware Security Team (security slackware com)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

[slackware-security] php (SSA:2016-034-04)

New php packages are available for Slackware 14.0, 14.1, and -current to
fix security issues.

Here are the details from the Slackware 14.1 ChangeLog:
+--------------------------+
patches/packages/php-5.6.17-i486-1_slack14.1.txz: Upgraded.
This release fixes bugs and security issues.
*****************************************************************
* IMPORTANT: READ BELOW ABOUT POTENTIALLY INCOMPATIBLE CHANGES *
*****************************************************************
PHP 5.4.x has been declared EOL (end of life) and is no longer receiving
upstream support. PHP 5.5.x is also no longer on active support status and
security fixes will continue only until 5 months from now. For this reason
we have provided PHP 5.6 packages as security updates. Be aware that PHP
5.6 is not 100% compatible with PHP 5.4, and some changes may be required
to existing web pages written for PHP 5.4.
For information on how to migrate from PHP 5.4, please see:
http://php.net/manual/en/migration55.php
http://php.net/manual/en/migration56.php
The final PHP 5.4 packages may be found in /pasture in case there is a need
to revert this update.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7803
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7804
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1903
(* Security fix *)
+--------------------------+

Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware-14.0/patches/packages/ph
p-5.6.17-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.0/patches/packages/
php-5.6.17-x86_64-1_slack14.1.txz

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/ph
p-5.6.17-i486-1_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/
php-5.6.17-x86_64-1_slack14.1.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/n/php-
5.6.17-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/n/
php-5.6.17-x86_64-1.txz

MD5 signatures:
+-------------+

Slackware 14.0 package:
69eba2b2193b19396987c73ef901a68a php-5.6.17-i486-1_slack14.1.txz

Slackware x86_64 14.0 package:
23d8436b3e90027bb7ffb7b0cf8e918c php-5.6.17-x86_64-1_slack14.1.txz

Slackware 14.1 package:
a3958009db7633258fbd7ebaf5952a5c php-5.6.17-i486-1_slack14.1.txz

Slackware x86_64 14.1 package:
f1b1cfdf325e66590bdad15170968fee php-5.6.17-x86_64-1_slack14.1.txz

Slackware -current package:
239e452ac1570edfb9a574098c8e6b7b n/php-5.6.17-i586-1.txz

Slackware x86_64 -current package:
02a07c1a33d393bb67b7ade06dc4d237 n/php-5.6.17-x86_64-1.txz

Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg php-5.6.17-i486-1_slack14.1.txz

Then, restart Apache httpd:
# /etc/rc.d/rc.httpd stop
# /etc/rc.d/rc.httpd start

Finally, make sure to make any needed changes for compatibility with PHP 5.6.
See the links mentioned above.

+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key
security (at) slackware (dot) com [email concealed]

+-----------------------------------------------------------------------
-+
| To leave the slackware-security mailing list: |
+-----------------------------------------------------------------------
-+
| Send an email to majordomo (at) slackware (dot) com [email concealed] with this text in the body of |
| the email message: |
| |
| unsubscribe slackware-security |
| |
| You will get a confirmation message back containing instructions to |
| complete the process. Please do not reply to this email address. |
+-----------------------------------------------------------------------
-+
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlayjTYACgkQakRjwEAQIjM8tQCePHc8bctA1TUuwrdvk+pA89WD
P0YAn3qOa2Gx440/vjK7mNDAyTaE621u
=2ziE
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus